<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Schaffen\Core\User\Repositories\UserRepository;

class InjectFiltersOnMe
{

    /**
     * @var UserRepository
     */
    private $user_repository;

    public function __construct(
        UserRepository $user_repository
    )
    {
        $this->user_repository = $user_repository;
    }

    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $params = $request->route()->parameters();

        foreach ($params as $route_param => $value) {
            if ($route_param == "user" || $route_param == "person") {
                if ($value) {
                    if ($value == 'me') {
                        $user = auth()->user();
                        $person = $user->person;
                        $request->route()->setParameter($route_param, $user->usu_codigo);
                        $request->route()->setParameter('person', $person->pes_codigo);
                        $request->request->set('user', $user->usu_codigo);
                        $request->request->set('person', $person->pes_codigo);
                    } else {
                        $route_param = $this->user_repository->find($value);
                        $person = $route_param->person;
                        $request->request->set('user', $route_param->id);
                        $request->route()->setParameter('person', $person->pes_codigo);
                        $request->request->set('person', $person->pes_codigo);
                    }
                }
            }
        }
        return $next($request);
    }
}
