<?php


namespace App\Mobile\Synchronization\Resources;


use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class SyncResource extends JsonResource
{

    public function toArray($request)
    {
        $person = $this['person'];
        return [
            "service_order" => SyncServiceOrderResource::collection($this['service_order']),
            "forms" => SyncFormResource::collection($this['forms']),
            "person" => new SyncPersonResource($person),
            "clients" => SyncClientResource::collection($this['clients']),
            "inventory" => SyncInventoryResource::collection($this['inventory']),
            "branches" => SyncBranchResource::collection($this['branches']),
            "available_services" => SyncAvailableServicesResource::collection($this['available_services']),
            "parameters" => SyncParameterResource::collection($this['parameters']),
            "visitation_reasons" => SyncVisitationReasonResource::collection($this['visitation_reasons']),
            'address_types' => SyncAddressTypesResource::collection($this['address_types']),
            'last_sync' => Carbon::now()->format('Y-m-d H:i:s'),
        ];
    }
}
