<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncServiceOrderResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            "os_codigo" => $this->os_codigo,
            "os_cliente_pes_nome" => $this->client->pes_nome,
            "os_data_agendamento" => $this->os_data_agendamento,
            "os_numero_tipo" => $this->os_numero_tipo,
            "os_planejada" => $this->os_planejada,
            "os_fk_pes_codigo" => $this->os_fk_pes_codigo,
            "os_fk_fil_codigo" => $this->os_fk_fil_codigo,
            "os_fk_sto_codigo" => $this->os_fk_sto_codigo,
            "os_observacao" => count($this->os_campos) > 0 && $this->os_campos[0]["id"] === -2 && $this->os_campos[0]["valor"] !== "" ? $this->os_campos[0]["valor"] : $this->os_observacao,
            "forms" => SyncFormAssociationResource::collection($this->form_association),
            "items" => SyncServiceOrderItemResource::collection($this->items),
            "address" => new SyncAddressResource($this),
            "visitation" => SyncServiceOrderVisitationResource::collection($this->visitation)
        ];
    }
}
